> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarityq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversation status

> Retrieve the current status of a conversation.



## OpenAPI

````yaml get /api/v1/products/{product_id}/conversations/{conversation_id}/status
openapi: 3.1.0
info:
  title: ClarityQ API
  description: ClarityQ API, authenticated via API keys.
  version: 1.0.0
servers:
  - url: https://api.clarityq.ai
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/v1/products/{product_id}/conversations/{conversation_id}/status:
    get:
      tags:
        - API
      summary: Get conversation status
      description: Retrieve the current status of a conversation.
      operationId: >-
        get_conversation_status_api_v1_products__product_id__conversations__conversation_id__status_get
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Product Id
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConversationStatusResponse:
      properties:
        status:
          $ref: '#/components/schemas/ConversationStatus'
          description: Current status of the conversation.
      type: object
      required:
        - status
      title: ConversationStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationStatus:
      type: string
      enum:
        - IN_PROGRESS
        - COMPLETED
        - ERROR
      title: ConversationStatus
      description: Status of a conversation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key obtained from the ClarityQ dashboard.

````